package com.greenorange.promotion.model.vo.projectNotification;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 项目通知 视图对象
 */
@Data
@Schema(description = "项目通知 视图对象")
public class ProjectNotificationVO implements Serializable {

    /**
     * 项目通知ID
     */
    @Schema(description = "项目通知ID", example = "1")
    private Long id;

    /**
     * 通知标题
     */
    @Schema(description = "通知标题", example = "${field.example}")
    private String notificationTitle;

    /**
     * 通知内容
     */
    @Schema(description = "通知内容", example = "${field.example}")
    private String notificationContent;

    /**
     * 项目ID
     */
    @Schema(description = "项目ID", example = "${field.example}")
    private Long projectId;


    @Serial
    private static final long serialVersionUID = 1L;
}
