package com.greenorange.promotion.model.vo.promoCodeApply;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 推广码申请记录 视图对象
 */
@Data
@Schema(description = "推广码申请记录 视图对象")
public class PromoCodeApplyVO implements Serializable {

    /**
     * 推广码申请记录ID
     */
    @Schema(description = "推广码申请记录ID", example = "1")
    private Long id;

    /**
     * 业务员姓名
     */
    @Schema(description = "业务员姓名", example = "chenxinzhi")
    private String salespersonName;

    /**
     * 业务员手机号
     */
    @Schema(description = "业务员手机号", example = "15888610253")
    private String salespersonPhone;

    /**
     * 绑定的推广码信息key
     */
    @Schema(description = "绑定的推广码信息key", example = "ykxy227")
    private String promoCodeInfoKey;

    /**
     * 绑定的推广码链接
     */
    @Schema(description = "绑定的推广码链接", example = "mp://y04CZgGkCBmIaZd")
    private String promoCodeLink;

    /**
     * 绑定的项目名称
     */
    @Schema(description = "绑定的项目名称", example = "美团省钱包")
    private String projectName;

    /**
     * 绑定的项目图片URL
     */
    @Schema(description = "绑定的项目图片URL", example = "http://xxx.png")
    private String projectImage;

    /**
     * 用户ID
     */
    @Schema(description = "用户ID", example = "1")
    private Long userId;


    @Serial
    private static final long serialVersionUID = 1L;
}
